Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
quochuyksxd

[Hỏi] tìm lisp đo diện tích trong diễn đàn

Các bài được khuyến nghị

Xin cho em hỏi trong diễn đàn có lisp nào để tính diện tích 1 hình kín và chèn giá trị vào text có sẵn không ah? em tìm mãi mà không có. có bác nào biết share cho em giùm được không ah? em làm quy hoạch chia lô nền rất lisp này.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Quick code cho bạn.

 

(defun C:HA( / ent1 ent2 elist)
 (vl-load-com)
 (while
  (and
   (setq ent1 (car (entsel "\nChon hinh kin: ")))
   (setq ent2 (car (entsel "\nChon Text de ghi: "))))
  (setq elist (entget ent2))
  (entmod (subst (cons 1 (rtos (vla-get-Area (vlax-ename->vla-object ent1)) 2 2)) (assoc 1 elist) elist)))
 (princ))
 
  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Lisp này khó sử dụng quá bạn ơi. Có lisp nào đơn giản thôi. Chỉ việc chọn vào hình kín (chỉ chọn thôi chứ không pick trong miền kín của hình đó) và chọn vào text để ghi kết quả (có thể làm tròn tới 2 số thập phân, VD: 250.35).

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

Quick code cho bạn.

 

(defun C:HA( / ent1 ent2 elist)
 (vl-load-com)
 (while
  (and
   (setq ent1 (car (entsel "\nChon hinh kin: ")))
   (setq ent2 (car (entsel "\nChon Text de ghi: "))))
  (setq elist (entget ent2))
  (entmod (subst (cons 1 (rtos (vla-get-Area (vlax-ename->vla-object ent1)) 2 2)) (assoc 1 elist) elist)))
 (princ))
 

Cám ơn bác Hà nhé. đúng ý em luôn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×